# Mysql dev env

This is a simple mysql development environment. It provides MySQL and PHPMyAdmin as a minimal
docker-compose deployment. both MySQL and PHPMyAdmin are exposed to the host and can be reached from
other applications

## Setup

In order to use the setup, clone this repository. The configuration is done in `.env`. 
If you want a specific database to be created on container initialization, set `MYSQL_DATABASE`. Its
highly recommended to set `MYSQL_ROOT_PASSWORD` to something slightly more secure than `example`,
even its just a local development environment, especially when operating in public networks.

## Database initialisation

Databases can be imported using PHPMyAdmin. Nevertheless it can be useful to automatically load
database dumps on container creation. In order to do this, place arbitrary initialisation scripts in
the subdirectory `initdb.d`. To be executed these files need to have one of the following
extensions:

- `.sh`
- `.sql`
- `.sql.gz`

## Start

Simply run `docker-compose up` to start the services. Run `docker-compose up -d` to run them in
background.

## Reset

To delete the created containers and start again with the initialization, execute `docker-compose
rm`
